Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QDomComment Class Reference

The QDomComment class represents an XML comment. More...

    #include <QDomComment>

Inherits QDomCharacterData.

Note: All the functions in this class are reentrant.

- List of all members, including inherited members

### Public Functions

- QDomComment ()
- QDomComment ( const QDomComment & x )
- QDomNode::NodeType nodeType () const
- QDomComment & operator= ( const QDomComment & x )

- 10 public functions inherited from QDomCharacterData
- 59 public functions inherited from QDomNode

## Detailed Description

The QDomComment class represents an XML comment.

A comment in the parsed XML such as this:

        <!-- this is a comment -->

is represented by QDomComment objects in the parsed Dom tree.

For further information about the Document Object Model see and . For a more general introduction of the DOM implementation see the QDomDocument documentation.

## Member Function Documentation

### QDomComment::QDomComment ()

Constructs an empty comment. To construct a comment with content, use the QDomDocument::createComment() function.

### QDomComment::QDomComment ( const QDomComment & x )

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QDomNode::NodeType QDomComment::nodeType () const

Returns `CommentNode`.

### QDomComment & QDomComment::operator= ( const QDomComment & x )

Assigns x to this DOM comment.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().